Skip to content

Create a note

Request

You can add a note to a single contact.

Security
bearerAuth
Path
contact_idstringrequired

The unique identifier of a given contact.

Example:123
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.11"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.11
Bodyapplication/json
bodystringrequired

The text of the note.

Example:"New note"
admin_idstring

The unique identifier of a given admin.

Example:"123"
curl -i -X POST \
  https://api.intercom.io/contacts/123/notes \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'Intercom-Version: 2.11' \
  -d '{
    "contact_id": "667d60978a68186f43bafd9e",
    "admin_id": 991267493,
    "body": "Hello"
  }'

Responses

Successful response

Bodyapplication/json
typestringrequired

String representing the object's type. Always has the value note.

Value:"note"
Example:"note"
idstringrequired

The id of the note.

Example:"17495962"
created_atinteger, (timestamp)required

The time the note was created.

Example:1674589321
contactobject or nullrequired

Represents the contact that the note was created about.

authorobject(Admin)required

Optional. Represents the Admin that created the note.

bodystringrequired

The body text of the note.

Example:"<p>Text for the note.</p>"
Response
{ "type": "note", "id": "34", "created_at": 1719492759, "contact": { "type": "contact", "id": "667d60978a68186f43bafd9e" }, "author": { "type": "admin", "id": "991267493", "name": "Ciaran103 Lee", "email": "admin103@email.com", "away_mode_enabled": false, "away_mode_reassign": false }, "body": "<p>Hello</p>" }